
import QtQuick 2.0
import LoggerComponents 1.0

Item {
    width: 600
    height: 300
    property alias diag_listview: listView
    property bool isAtBegin: false
    signal listAtBegining()
    ListView{
        id:listView
        anchors.fill: parent
        model: diagnosticBufferModel
        delegate: diagnosticListItem
        onAtYBeginningChanged:
            if(atYBeginning)
            {
                isAtBegin = true
                listAtBegining()
                Logger.consoleLog(def.logInfo,"atYBeginning is true")
            }
            else
            {
                isAtBegin = false
                Logger.consoleLog(def.logInfo,"atYBeginning is false")
            }
    }
}
