import QtQuick 2.0

Rectangle {

    property alias button_imagesource: headlineButtonImage.source
    property alias buttonpressed_image: buttonImagePressed.source

    signal buttonClicked()

    width: 50
    height: 50

     color: "transparent"

    MouseArea{
        anchors.fill: parent
        onClicked: {
            buttonClicked()
        }

        onPressed:{
            color = def.pressedStateButtonColor
            buttonImagePressed.visible = true
        }

        onReleased: {
            color = "transparent"
            buttonImagePressed.visible = false
        }
    }

    Image {
        id: headlineButtonImage
        anchors.fill: parent
    }

    Image{
        id:  buttonImagePressed
        anchors.fill: parent
        visible: false

    }
}
