import QtQuick 2.0

Rectangle{

    property alias isSelected: selected.visible
    signal radioButtonClicked()

    height: def.selectionButtonHeight
    width: def.selectionButtonWidth

    color: "white"
    border.color: def.colInputFieldBorder
    border.width: 1

    Rectangle{
        id: selected
        height: parent.height*0.64
        width: parent.width*0.64
        anchors.centerIn: parent
        color: def.colSelectedOn
        visible: false
    }

    MouseArea{
        width: parent.width *1.4
        height: parent.height *1.4

        anchors.centerIn: parent
        onClicked: {
            radioButtonClicked()
        }
    }
}
