import QtQuick 2.0
import LoggerComponents 1.0

import "." as S7App_Components

Item {

    Headline {
        id: headline
        width: parent.width

        headline_text: stringStore.dataLogHeading
        backbutton_visible: true
        ipvisible: true

        onButtonBackClicked: {
            Logger.consoleLog(def.logInfo,"Button Back from Headline Data Log clicked!")
            backButtonOperation()

        }
    }



    function backButtonOperation()
    {
        stackview.popPage();
    }

    Keys.onPressed: {
        Logger.consoleLog(def.logInfo,"Keypressed:in Data Log" )
        event.accepted = true;
        if (event.key === Qt.Key_Back)
        {
            backButtonOperation()
        }
    }

}



