import QtQuick 2.0

Rectangle{

    property alias isSelected: selected.visible
    signal checkmarkClicked()

    height: def.selectionButtonHeight
    width: def.selectionButtonWidth

    color: "white"
    border.color: def.colInputFieldBorder
    border.width: 1

    Image{
        id: selected
        height: parent.height*0.87
        width: height
        source: "pictures/checkmark_hook.svg"
        anchors.centerIn: parent
        visible: false
    }

    MouseArea{
        width: parent.width *1.4
        height: parent.height *1.4

        anchors.centerIn: parent
        onClicked: {
            checkmarkClicked()
        }
    }

}
