
import QtQuick 2.0
import LoggerComponents 1.0

Item {
    width: 600
    height: 300
    property alias listViewObj:listView
    //color: "transparent"

    Component {
         id: highlight
         Rectangle {
             visible: false
             height:def.listviewEntryHeight
             color: def.listviewHighLightColor
             y: listView.currentItem.y
        /*     Behavior on y {
                 SpringAnimation {
                     spring: 1.5
                     damping: 0.1
                 }
             }*/
         }
     }

    ListView{
        id:listView
        anchors.fill: parent

        model: connectionDelegateModel

        displaced: Transition {
            NumberAnimation { properties: "x,y"; easing.type: Easing.OutQuad }
        }
        move:Transition{
            NumberAnimation { properties: "x,y"; easing.type: Easing.OutQuad ;duration: 500}
        }
        moveDisplaced:Transition{
            NumberAnimation { properties: "x,y"; easing.type: Easing.OutQuad ;duration: 200}
        }
//        highlight:  highlight
//        highlightFollowsCurrentItem:true
//        highlightRangeMode: ListView.ApplyRange
        focus: true
        clip:true

    }

    function scrollUpListView()
    {
        if(listView.currentIndex > 0)
        {
            listView.decrementCurrentIndex()
        }
    }

    function scrollDownListView()
    {
        if(listView.currentIndex < (listView.count - 1))
        {
            listView.incrementCurrentIndex()
        }
    }

    function setConnListCurrentIndex(index)
    {
        listView.currentIndex = index
    }

}
