import QtQuick 2.0

Rectangle {

    property alias caption: textfield.text

    signal fctClicked();

    height: def.standardFieldHeight/2
    width: parent.width
    color: def.colDetailsBackground

    DefaultText{
        id: textfield
        font.pixelSize: def.fontSizeFunctionList
        anchors {left: parent.left; leftMargin: 2*def.borderDistanceLeft; verticalCenter: parent.verticalCenter}
    }

    MouseArea{
        anchors.fill: parent
        onClicked:{
            fctClicked()
        }
    }

}
