import QtQuick 2.2
import QtQuick.Controls 1.2
import QtQuick.Controls.Styles 1.2


Rectangle{

    height: parent.height
    width: parent.width
    visible:false
    color: "transparent"

    Rectangle{
        id: background
        anchors.fill: parent
        color: "black"
        opacity: 0.4

        MouseArea{
            anchors.fill: parent
            onClicked: {  }
        }

    }

    BusyIndicator{

        anchors{
            horizontalCenter: parent.horizontalCenter
            verticalCenter:  parent.verticalCenter
        }

        running: parent.visible

        style: BusyIndicatorStyle {
            indicator: Image {
                        visible: control.running
                        source: "pictures/imageRotator.svg"
                        sourceSize.width: def.busyIndicatorSize
                        sourceSize.height: def.busyIndicatorSize
                        RotationAnimator on rotation {
                            running: control.running
                            loops: Animation.Infinite
                            duration: 2000
                            from: 0 ; to: 360
                        }
            }
        }
   }
}
